Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.identity
Class UserActivity

    java.lang.Object
      org.jboss.portal.core.identity.UserActivity

    public class UserActivity

extends java.lang.Object

Version:
  $Revision: 10807 $
Author:
  Boleslaw Dawidowicz, Luca Stancapiano

Field Summary
`static int` | `EXIT`
`static java.lang.String` | `GUEST`
`static int` | `NAVIGATION`

Constructor Summary
`UserActivity(javax.management.Notification notification)`
`UserActivity(java.lang.String id, java.lang.String sessionId, long timestamp, int type)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getId()`
`java.lang.String` | `getSessionId()`
`long` | `getTimestamp()`
`int` | `getType()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAVIGATION

    public static final int NAVIGATION

See Also:
  Constant Field Values

### EXIT

    public static final int EXIT

See Also:
  Constant Field Values

### GUEST

    public static final java.lang.String GUEST

See Also:
  Constant Field Values

Constructor Detail

### UserActivity

    public UserActivity(java.lang.String id,
                        java.lang.String sessionId,
                        long timestamp,
                        int type)

### UserActivity

    public UserActivity(javax.management.Notification notification)

Method Detail

### getId

    public java.lang.String getId()

### getSessionId

    public java.lang.String getSessionId()

### getTimestamp

    public long getTimestamp()

### getType

    public int getType()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD